Initiate the login sequence for an existing user. Multiple authentication methods are supported. To initiate login for a new user, use Sign Up. Alternatively, if you'd like to use login-init for both new and existing users, use the autoSignup request body option. To complete the login flow, use Complete Login. For more details, see Authentication.
Initiate Login
/auth/login-init Request
Body application/json
One of
loginMethodstringrequiredAllowed values:algorandThe login method to use.
networkstringrequiredAllowed values:algorand-mainnetalgorand-testnetThe blockchain network associated with the web3 address.
clientApplicationIdstringrequiredID of the client application created in an Immersve partner profile.
scopesstring[]requiredAn array of authorization scopes requested by the client application.
addressstringrequiredThe web3 address to which the challenge is directed.
autoSignupbooleanAllowed values:truefalseIf set to true, creates a user account if one does not already exist for the web3 address attempting to log in.
loginMethodstringrequiredAllowed values:siweThe login method to use.
networkstringrequiredAllowed values:polygon-mainnetpolygon-amoyarbitrum-mainnetarbitrum-sepoliabase-mainnetbase-sepoliasei-mainnetsei-testnetmonad-mainnetmonad-testnetThe blockchain network associated with the web3 address.
For more information on supported networks, see Supported Chains.
clientApplicationIdstringrequiredID of the client application created in an Immersve partner profile.
scopesstring[]requiredAn array of authorization scopes requested by the client application.
addressstringrequiredThe web3 address to which the challenge is directed.
urlstring<uri>requiredDomain in the
<domain> wants you to sign in..of the EIP-4361 is derived from the host fragment of this parameter. The client application identified by clientApplicationId must allow this URL.autoSignupbooleanAllowed values:truefalseIf set to true, creates a user account if one does not already exist for the web3 address attempting to log in.
loginMethodstringrequiredAllowed values:xrplThe login method to use.
networkstringrequiredAllowed values:xahau-mainnetxahau-testnetThe blockchain network associated with the web3 address.
clientApplicationIdstringrequiredID of the client application created in an Immersve partner profile.
scopesstring[]requiredAn array of authorization scopes requested by the client application.
publicKeystringrequiredThe public key of the web3 address to which the challenge is directed.
autoSignupbooleanAllowed values:truefalseIf set to true, creates a user account if one does not already exist for the web3 address attempting to log in.
Response
Successful operation.
Body application/json
idstringThe unique identifier of the login request.
loginMethodstringThe login method used.
modestringAllowed values:cardholder-loginIdentifies intention of the user.
networkstringThe blockchain network associated with the web3 address.
clientApplicationIdstringID of the client application created in an Immersve partner profile.
scopesstring[]An array of authorization scopes requested by the client application.
createdAtstringThe date and time the login request was created.
urlstring<uri>Domain in the
<domain> wants you to sign in..of the EIP-4361 is derived from the host fragment of this parameter. The client application identified by clientApplicationId must allow this URL.addressstringThe web3 address to which the challenge is directed.
signingChallengeobjectdescriptionstringThe description of the challenge.
createdAtstringThe date and time the challenge was created.
expiresAtstringThe date and time the challenge expires.
messagestringThe message to be signed by the web3 address owner.
CLIENT_APPLICATION_DOMAIN_NOT_ALLOWED Client application domain not allowed.
ACCOUNT_DOES_NOT_EXIST Unable to log in. Account does not exist.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring